Package com.treemap.swing.fastvoronoi

# Class SimpleVoronoiDiagram

java.lang.Object
com.treemap.swing.fastvoronoi.SimpleVoronoiDiagram

All Implemented Interfaces:
  `VoronoiDiagram`

public class SimpleVoronoiDiagram extends Object implements VoronoiDiagram

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `ConvexHull`
  `hull`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleVoronoiDiagram(com.macrofocus.geom.Shape shape, Site[] sites, double[] weights)`
  Algorithm 3: Compute Power Diagram

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Site[]`
  `createSites()`
  `static double[]`
  `createWeights()`
  `com.macrofocus.geom.Shape`
  `getClippedPolygon(int i)`
  `com.macrofocus.geom.Point2D`
  `getDual(Facet facet)`
  `com.macrofocus.geom.Shape`
  `getPolygon(int i)`
  `boolean`
  `isVisibleFromBelow(Facet face)`
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### hull

    public ConvexHull hull

- ## Constructor Details

  - ### SimpleVoronoiDiagram

    public SimpleVoronoiDiagram(com.macrofocus.geom.Shape shape, Site[] sites, double[] weights)
    Algorithm 3: Compute Power Diagram

- ## Method Details

  - ### getPolygon

    public com.macrofocus.geom.Shape getPolygon(int i)
    Specified by:
      `getPolygon` in interface `VoronoiDiagram`

  - ### getClippedPolygon

    public com.macrofocus.geom.Shape getClippedPolygon(int i)
    Specified by:
      `getClippedPolygon` in interface `VoronoiDiagram`

  - ### isVisibleFromBelow

    public boolean isVisibleFromBelow(Facet face)

  - ### getDual

    public com.macrofocus.geom.Point2D getDual(Facet facet)

  - ### main

    public static void main(String[] args)

  - ### createSites

    public static Site[] createSites()

  - ### createWeights

    public static double[] createWeights()